ReflectionParameter::getType
ReflectionParameter::isArray
ReflectionParameter
PHP Manual

# ReflectionParameter::hasType

(PHP 7)

ReflectionParameter::hasType — Checks if parameter has a type

### Description

public bool ReflectionParameter::hasType ( void )

Checks if the parameter has a type associated with it.

### Parameters

This function has no parameters.

### Return Values

`TRUE` if a type is specified, `FALSE` otherwise.

### Examples

Example #1 ReflectionParameter::hasType() example

`<?php
function someFunction(string $param, $param2 = null) {}
$reflectionFunc = new ReflectionFunction('someFunction');
$reflectionParams = $reflectionFunc->getParameters();
var_dump($reflectionParams[0]->hasType());
var_dump($reflectionParams[1]->hasType());`

The above example will output something similar to:

    bool(true)
    bool(false)

### See Also

- ReflectionParameter::getType() - Gets a parameter's type

ReflectionParameter::getType
ReflectionParameter::isArray
ReflectionParameter
PHP Manual